
<?php
/**
 * The template for fetching a post of type Gallery.
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>
 
<div class="eachpost group">
	<div id="post-<?php the_ID(); ?>" <?php post_class('group');?> >
							
					<div class="entry-header group">					
					<?php
						$mimbolove_post_format = get_post_format();
						if ( false === $mimbolove_post_format )
						$mimbolove_post_format = 'standard';
					?>
						<h1 class="entry-title format-<?php echo $mimbolove_post_format;?>">
							<a class="entry-title-link" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'Mimbolove' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>							
							<?php edit_post_link( '', '', '' ); ?>
						</h1>
							<div class="publish-time-with-author">								
								<?php mimbolove_posted_at_with_author(); ?>							
							</div>							
							<div class="post-meta-comments">
								<?php 
									mimbolove_get_post_comments();
								?>
							</div>							
					</div>
				
				<?php 
				if ( is_search() ) :
					the_excerpt();
				else :					
					$mimbolove_images = get_children( array( 'post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999 ) );
					if ( $mimbolove_images ) :
						$total_images = count( $mimbolove_images );
						$mimbolove_image = array_shift( $mimbolove_images );
						$mimbolove_image_img_tag = wp_get_attachment_image( $mimbolove_image->ID, 'thumbnail' );
					?>
					<div class="gallery-thumb">
						<a href="<?php the_permalink(); ?>"><?php echo $mimbolove_image_img_tag; ?></a>
					</div><!-- .gallery-thumb -->

					<p>
						<?php printf( _n( 'This gallery contains <a %1$s>%2$s photo</a>.', 'This gallery contains <a %1$s>%2$s photos</a>.', $total_images, 'Mimbolove' ),
								'href="' . esc_url( get_permalink() ) . '" title="' . sprintf( esc_attr__( 'Permalink to %s', 'Mimbolove' ), the_title_attribute( 'echo=0' ) ) . '" rel="bookmark"',
								number_format_i18n( $total_images )
							); ?>				
					</p>
					<?php endif;					
				endif;
				?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'Mimbolove' ) . '</span>', 'after' => '</div>' ) ); ?>
			</div>				
	
	<div class="post-footer group">
			<div class="post-meta-cat">
				<?php mimbolove_get_post_categories();?>
			</div>
			<div class="post-meta-tag">
				<?php mimbolove_get_post_tags();?>
			</div>			
	</div>	<!-- close of post-footer which with post meta -->
</div>