<?php
/**
 * The main template of the theme.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>


<?php 
	get_header();	
?>

<div id="main" class="group">
	<div id="posts-container">			
		<?php
		if (have_posts()) :
			mimbolove_post_navigation( "nav-above" );
			while (have_posts()) :
				the_post();			
				if ( get_post_format() == "gallery" ):
					get_template_part( 'content', 'gallery' );
				else:
					get_template_part( 'content' );
				endif;
			endwhile;
		   mimbolove_post_navigation( "nav-below" );
		endif;
		?>
	</div>	<!-- closing of posts-container> -->

<?php
	get_sidebar('right');
?>
		
</div><!-- closing of id="main" -->

<?php
	get_footer(); 
?>



