<?php
/**
 * The template for catching a 404 error, page not found.
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>


<?php
	get_header(); 
?>

<div id="main" class="group">
<div id="container-404" class="group">
	<h2><?php _e( "Error 404 - Page Not Found", 'Mimbolove' );?></h2>
	<p><?php _e( "Sorry, what you are looking for is not found here. Perhaps, searching will help.", 'Mimbolove' );?></p>
	<?php get_search_form();?>
</div>

<?php
	get_sidebar( 'right' );
?>

</div><!-- closing of main -->

<?php
	get_footer(); 
?>